import { Spinner } from 'modules/common/components';
import * as React from 'react';
import { Col, Row } from 'react-bootstrap';
import {
  LoaderWrapper,
  SummaryCount,
  SummaryItem,
  SummaryTitle
} from '../styles';

type Props = {
  data: any;
  loading: boolean;
  isSmall?: boolean;
};

class Summary extends React.Component<Props> {
  renderSummary(item, index) {
    if (typeof item === 'number') {
      return (
        <Col sm={3} key={Math.random()}>
          <SummaryItem isSmall={this.props.isSmall}>
            <SummaryTitle>
              {index === 3 ? '4++' : `${index} - ${index + 1}`}
            </SummaryTitle>
            <SummaryCount>{item}</SummaryCount>
          </SummaryItem>
        </Col>
      );
    }

    return (
      <Col sm={3} key={Math.random()}>
        <SummaryItem>
          <SummaryTitle>{item.title}</SummaryTitle>
          <SummaryCount>{item.count}</SummaryCount>
        </SummaryItem>
      </Col>
    );
  }

  render() {
    const { data, loading } = this.props;

    if (loading) {
      return (
        <LoaderWrapper>
          <Spinner objective={true} />
        </LoaderWrapper>
      );
    }

    return (
      <Row>
        {data.map((detail, index) => this.renderSummary(detail, index))}
      </Row>
    );
  }
}

export default Summary;
